<?php
// Prevent direct access to the file
if( ! defined( 'ABSPATH' ) ) exit;

/**
 * Lana Class
 *
 * @since 1.0.0
 */
if( ! class_exists( 'Lana' ) ) {
	class Lana {
		
		private static $instance = null;
		
		/**
		 * Class Constructor
		 *
		 * @since 1.0.0
		 */
		function __construct() {
			
		}
		
		/**
		 * Creates or returns an instance of this class.
		 *
		 * @since 1.0.0
		 */
		public static function get_instance() {
			if( null == self::$instance ) {
				self::$instance = new self;
			}
			
			return self::$instance;
		}
		
		/**
		 * Render Menus
		 *
		 * @since 1.0.0
		 */
		public static function menu( $args ) {
			extract( $args );
			
			if( has_nav_menu( $theme_location ) ) {
				$args = array(
					'theme_location'	=> $theme_location,
					'container' 		=> false,
					'menu_class'		=> $menu_class,
					'echo'				=> false,
				);
			
				$menu = wp_nav_menu( $args );
			} else {
				$notice = __( 'Assign menu to this location !', 'lana' );
				if( $theme_location == 'lana-main-menu' ) {
					$menu  = '<ul class="menu">';
					$menu .= '<li><a href="#">' . $notice . '</a></li>';
					$menu .= '</ul>';
				}
				else
				if( $theme_location == 'lana-top-menu' ) {
					$menu  = '<ul class="quick-menu pull-left">';
					$menu .= '<li><a href="#">' . $notice . '</a></li>';
					$menu .= '</ul>';
				}
			}
			
			return $menu;
		} 
		
		/**
		 * Render Post Navigation
		 *
		 * @since 1.0.0
		 */
		static function post_navigation() {
			$prev_post = get_adjacent_post( false, '', false );
			$next_post = get_adjacent_post( false, '', true );
			
			if( is_a( $prev_post, 'WP_Post' ) && is_a( $next_post, 'WP_Post' ) )
				$class = 'col-xs-6';
			else
				$class = 'col-xs-12';
			
			$html  = '<div class="single-navigation block">';
			$html .= '<div class="row">';
			if( is_a( $prev_post, 'WP_Post' ) ) {
				$html .= '<!-- Previous Post -->';
				$html .= '<div class="' . $class . '">';
				$html .= '<a rel="prev" href="' . get_permalink( $prev_post ) . '" class="button btn-large prev full-width">';
				$html .= '<i class="fa fa-long-arrow-left"></i> ';
				$html .= '<span>' . __( 'Prev Post', 'lana' ) . '</span>';
				$html .= '</a>';
				$html .= '</div><!-- Previous Post End -->';
			}
			if( is_a( $next_post, 'WP_Post' ) ) {
				$html .= '<!-- Next Post -->';
				$html .= '<div class="' . $class . '">';
				$html .= '<a rel="next" href="' . get_permalink( $next_post ) . '" class="button btn-large next full-width">';
				$html .= '<span>' . __( 'Next Post', 'lana' ) . '</span> ';
				$html .= '<i class="fa fa-long-arrow-right"></i>';
				$html .= '</a>';
				$html .= '</div><!-- Next Post End -->';
			}
			$html .= '</div>';
			$html .= '</div><!-- Post Navigation End -->';
			
			return $html;
		}
	}
	Lana::get_instance();
}