<?php if( ! defined( 'ABSPATH' ) ) exit; // Prevent direct access to the file ?>

<?php
/**
 * The Header template
 *
 * @package Theme-Vision
 * @subpackage Lana
 * @since 1.0.0
 */
 ?>
<!DOCTYPE html>
<!--[if IE 8]>          <html class="ie ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 9]>          <html class="ie ie9" <?php language_attributes(); ?>> <![endif]-->
<!--[if gt IE 9]><!-->  <html <?php language_attributes(); ?>> <!--<![endif]-->
<head>

	<!-- Meta Tags -->
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	
	<?php wp_head(); ?>

</head>
<body <?php body_class(); ?>>
	
	<!-- Page Wrapper -->
	<div id="page-wrapper">
		
		<!-- Header -->
		<header id="header" class="navbar-static-top">
			<div class="topnav hidden-xs">
				<div class="container">
					
					<!-- Top Menu -->
					<?php echo Lana::menu( array( 'theme_location' => 'lana-top-menu', 'menu_class' => 'quick-menu pull-left' ) ); ?>
					<!-- Top Menu End -->

					<!-- Social Icons -->
                    <ul class="quick-menu pull-right">
                        
                    </ul><!-- Social Icons End -->
				</div>
			</div>
			<div class="main-header">
				
				<a href="#mobile-menu-01" data-toggle="collapse" class="mobile-menu-toggle">
                    <?php _e( 'Mobile Menu Toggle', 'lana' ); ?>					
                </a>
				
				<div class="container">
					
					<!-- Logo -->
					<h1 class="logo navbar-brand<?php if( get_theme_mod('lana_logo', '') ): ?> img<?php endif; ?>">
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
                            
							<?php if( get_theme_mod( 'lana_logo', '' ) ): ?>
								<img src="<?php echo esc_url( get_theme_mod( 'lana_logo', '' ) ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" />
							<?php else: bloginfo( 'name' ); endif; ?>
							
                        </a>
                    </h1><!-- Logo End -->
					 
					<!-- Main Menu -->
					<nav id="main-menu" role="navigation">
						<?php echo Lana::menu( array( 'theme_location' => 'lana-main-menu', 'menu_class' => 'menu' ) ); ?>
					</nav><!-- Main Menu End -->
					
				</div>
				
			</div>
		</header><!-- Header End -->
		
		<?php 
		/**
		 * RENDER HEADER IMAGE
		 * ===================
		 * @hook lana_header_image
		 * @since 1.0.0
		 */
		if( get_header_image() )
			do_action( 'render_lana_header_image' ); ?>
		
		<?php 
		/**
		 * RENDER BREADCRUMB
		 * =====================
		 * @hook lana_breadcrumb
		 * @since 1.0.0
		 */
		if( get_theme_mod( 'lana_breadcrumb', true ) )
			do_action( 'render_lana_breadcrumb' ); ?>
		
		<!-- Section Content -->
		<section id="content">
			<!-- Container -->
			<div class="container">
				<!-- Row -->
				<div class="row">